﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Charting101SL_Final
{
    public class Data
    {
        public List<SalesRecord> GetSalesData()
        {
            var data = new List<SalesRecord>();
            Random rnd = new Random(0);
            string[] products = new string[] { "Widgets", "Gadgets", "Sprockets" };
            for (int i = 0; i < 12; i++)
            {
                foreach (string product in products)
                {
                    data.Add(new SalesRecord(DateTime.Today.AddMonths(i - 24), product, rnd.NextDouble() * 1000 * i, rnd.NextDouble() * 1000 * i));
                }
            }
            return data;
        }
    }
    
    public class SalesRecord
    {
        //Properties
        public string Region { get; set; }
        public string Product { get; set; }
        public DateTime Date { get; set; }
        public double Revenue { get; set; }
        public double Expense { get; set; }
        public double Profit { get { return Revenue - Expense; } }
        //Constructors
        public SalesRecord(DateTime month, string product, double revenue, double expense)
        {
            Date = month;
            Product = product;
            Revenue = revenue;
            Expense = expense;
        }
    }
}
